[ Maverik Level 3 functions ]

#

mav_paletteTextureEnvSet

## Summary

Set a palette texture environment callback.

## Syntax

int mav_paletteTextureEnvSet(MAV_palette *p, int index, MAV_texEnvFn fn);

- MAV_palette *p
  Palette to set.

- int index
  Index into textures table, in range 0..MAV_MAX_TEXTURES.

- MAV_texEnvFn fn
  Callback function.

## Description

When the kernel detects that the texture environment has been changed (by the application calling mav_surfaceParamsUse), it calls a callback function registered by this function. The callback is responsible for setting the environment by calling the appropriate graphics (OpenGL) functions, and is set by default to be mav_texEnvDefault.

## See also

mav_texEnvDefault, mav_surfaceParamsUse.

Back to the index page.